typedef unsigned long DWORD;
typedef long LONG;
typedef __int64 LONGLONG;
typedef unsigned short WCHAR;

typedef union _LARGE_INTEGER {
    struct {
        DWORD LowPart;
        LONG HighPart;
    };
    struct {
        DWORD LowPart;
        LONG HighPart;
    } u;
    LONGLONG QuadPart;
} LARGE_INTEGER;

typedef struct _DISK_PERFORMANCE {
  LARGE_INTEGER BytesRead;
  LARGE_INTEGER BytesWritten;
  LARGE_INTEGER ReadTime;
  LARGE_INTEGER WriteTime;
  LARGE_INTEGER IdleTime;
  DWORD ReadCount;
  DWORD WriteCount;
  DWORD QueueDepth;
  DWORD SplitCount;
  LARGE_INTEGER QueryTime;
  DWORD StorageDeviceNumber;
  WCHAR StorageManagerName[8];
} DISK_PERFORMANCE, *PDISK_PERFORMANCE;

int main()
{  
  struct _DISK_PERFORMANCE dp;
  long sz = 0;

  sz += sizeof(dp.BytesRead);
  sz += sizeof(dp.BytesWritten);
  sz += sizeof(dp.ReadTime);
  sz += sizeof(dp.WriteTime);
  sz += sizeof(dp.IdleTime);
  sz += sizeof(dp.ReadCount);
  sz += sizeof(dp.WriteCount);
  sz += sizeof(dp.QueueDepth);
  sz += sizeof(dp.SplitCount);
  sz += sizeof(dp.QueryTime);
  sz += sizeof(dp.StorageDeviceNumber);
  sz += sizeof(dp.StorageManagerName);

  printf( "sizeof( dp )                   :%d%c", sizeof( dp ), 10 );
  printf( "sizeof( dp.StorageManagerName ):%d%c", sizeof( dp.StorageManagerName ), 10 );
  printf( "total size of members          :%d%c%c", sz,10,10 );
  printf( "&LARGE_INTEGER BytesRead       :%d%c", &dp.BytesRead, 10 );
  printf( "&LARGE_INTEGER BytesWritten    :%d%c", &dp.BytesWritten, 10 );
  printf( "&LARGE_INTEGER ReadTime        :%d%c", &dp.ReadTime, 10 );
  printf( "&LARGE_INTEGER WriteTime       :%d%c", &dp.WriteTime, 10 );
  printf( "&LARGE_INTEGER IdleTime        :%d%c", &dp.IdleTime, 10 );
  printf( "&DWORD ReadCount               :%d%c", &dp.ReadCount, 10 );
  printf( "&DWORD WriteCount              :%d%c", &dp.WriteCount, 10 );
  printf( "&DWORD QueueDepth              :%d%c", &dp.QueueDepth, 10 );
  printf( "&DWORD SplitCount              :%d%c", &dp.SplitCount, 10 );
  printf( "&LARGE_INTEGER QueryTime       :%d%c", &dp.QueryTime, 10 );
  printf( "&DWORD StorageDeviceNumber     :%d%c", &dp.StorageDeviceNumber, 10 );
  printf( "&WCHAR StorageManagerName      :%d%c", &dp.StorageManagerName, 10 );

  while( !kbhit() );

  return 0;
}
